/* Tabela LINPLUSO : Linha de produto por licena de uso */
/* Descrio: A trigger insere registros na tabela LOGOPERA a partir da excluso na tabela LINPLUSO*/
/* Objetivo: Gerar um log que vai registrar as alteraes na tabela Linha de produto por licena de uso, utilizando a tabela Geral de Logs de Operaes */

create or replace TRIGGER LOG_FAS_LINHAPROD
AFTER DELETE ON LINPLUSO FOR EACH ROW
DECLARE
  V_DSREMOTEADDR VARCHAR2(15);
  V_DSREMOTEHOST VARCHAR2(15);
  V_DSSERVERRDM  VARCHAR2(20);
  V_DSSERVMETHOD VARCHAR2(30);
  V_DSREMOTEOPER VARCHAR2(12);
  V_DESC         VARCHAR2(500);
  V_ITPESQ       VARCHAR2(300);
  V_NMOPERADOR   VARCHAR2(40);
  V_IDTIPOOPER   VARCHAR2(1);

BEGIN
/* IDTIPOOPER - '1' - Incluso, '2' - Alterao, '3' - Excluso*/
   V_DESC       := '';
   V_ITPESQ     := '';
   V_NMOPERADOR := '';
   V_IDTIPOOPER := '';
   
   NMUSUARIO(V_NMOPERADOR);

   WEBTUNNING(V_DSREMOTEADDR,
              V_DSREMOTEHOST,
              V_DSSERVERRDM,
              V_DSSERVMETHOD,
              V_DSREMOTEOPER);

   V_IDTIPOOPER   := '3';
   
   V_ITPESQ       := :OLD.CDCLIENTE||'/'||:OLD.NRLICENCAUSO||'/'||:OLD.CDLINPCLIE;

   V_DESC         := 'Cliente '|| :OLD.CDCLIENTE||
                     ' Nmero da Licena de Uso '|| :OLD.NRLICENCAUSO||
                     ' Linha de Produto '|| :OLD.CDLINPCLIE;
   
   INSERT INTO LOGOPERA
      (NMTABELA,
       DTOPERACAO,
       NMRESPOPER,
       IDTIPOOPER,
       DSOPERACAO,
       CDPESQITEM,
       DSRDMUSUOPER,
       DSENDUSUOPER,
       DSNMUSUOPER,
       DSMETUSUOPER,
       CDORESPOPER)
   VALUES
      ('LIPLUSO',
       SYSDATE,
       NVL(V_NMOPERADOR,' '),
       V_IDTIPOOPER,
       V_DESC,
       V_ITPESQ,
       V_DSSERVERRDM,
       V_DSREMOTEADDR,
       V_DSREMOTEHOST,
       V_DSSERVMETHOD,
       V_DSREMOTEOPER);
END;
/

-- VERSAO --
BEGIN ATUVEROBJ('LOG_FAS_LINHAPROD','5.03.009'); END;
/

